<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE system [
 <!ENTITY NPK "fcs/NPK">
 <!ENTITY ABSU "&NPK;/ABSU">
 <!ENTITY U "&ABSU;/SAU">
]>

<system name="SAU-144 automatic control system">
 <!-- Система автоматического управления САУ-144 -->
 <!-- [ABSU 2] -->


 <!-- [p. 34] -->
 <!-- ABSU-154
  Name             Value           Unit                               Page
  K_theta          2 +- 0.3        deg_elev / deg_pitch               567
  K_gamma          0.035 +- 0.0052 deg_elev / deg_roll                [ABSU 1] 600.82
  K_gamma_add      0.085 +- 0.013  deg_elev / deg_roll                [ABSU 1] 600.82
  K_PU            17 +- 2.5        deg_pitch                          579
  K_STU            4 +- 0.6        deg_elev / deg_deltatheta_STU      [ABSU 1] 583
  F_STU            7 +- 1          deg                                [ABSU 1] 581
  F_STU_gnd        5 +- 1          deg                                [ABSU 1] 581
  K_VU             3 +- 0.9        deg_delta_elev / deg_deltatheta_ga [ABSU 1] 600.84
  chi_trim         2 +- 0.6        deg elev                           [ABSU 1] 600.83
  chi_trim_unknown 0.6 +0.15 -0.2  deg elev                           [ABSU 1] 600.83
  chi_GA           1 +-0.25        deg_delta_elev                     [ABSU 1] 600.85
 -->
 <property value="-20.0">&U;/pitch/tuning/F2-min</property>
 <property value="20.0">&U;/pitch/tuning/F2-max</property>
 <property value="2.0">&U;/pitch/tuning/K_theta</property>
 <property value="0.5">&U;/pitch/tuning/rK_theta</property>
 <property value="0.035">&U;/pitch/tuning/K_gamma</property>
 <property value="0.085">&U;/pitch/tuning/K_gamma_add</property>
 <!-- [Tu-144D Manual b5p1] -->
<!-- ????!!!! What? It does not say anything about PU there. Where did I get this?! -->
 <property value="3.5">&U;/pitch/tuning/K_PU</property>
 <property value="-3.5">&U;/pitch/tuning/F_PU-min</property>
 <property value="3.5">&U;/pitch/tuning/F_PU-max</property>
 <property value="-17.0">&U;/pitch/tuning/F_theta-min</property>
 <property value="17.0">&U;/pitch/tuning/F_theta-max</property>
 <property value="0.4">&U;/pitch/tuning/T_ref</property>
 <property value="-5.0">&U;/pitch/tuning/F3-min</property>
 <property value="5.0">&U;/pitch/tuning/F3-max</property>
 <property value="-7.0">&U;/pitch/tuning/F3-landing-min</property>
 <property value="7.0">&U;/pitch/tuning/F3-landing-max</property>
 <property value="4.0">&U;/pitch/tuning/K_STU</property>
 <property value="-5.0">&U;/pitch/tuning/F_STU-min</property>
 <property value="5.0">&U;/pitch/tuning/F_STU-max</property>
 <property value="-2.5">&U;/pitch/tuning/F_STU_gnd-min</property>
 <property value="2.5">&U;/pitch/tuning/F_STU_gnd-max</property>
 <property value="3.0">&U;/pitch/tuning/K_VU</property>
 <!-- SIC theta_ref-full < theta_ref for Tu-154 flaps, but we have to do the opposite for canard -->
 <property value="3.0">&U;/pitch/tuning/theta_ref</property>
 <property value="5.6">&U;/pitch/tuning/theta_ref-full</property>
 <property value="-2.0">&U;/pitch/tuning/chi_trim-min</property>
 <property value="2.0">&U;/pitch/tuning/chi_trim-max</property>
 <property value="-1.0">&U;/pitch/tuning/chi_trim_GA-min</property>
 <property value="1.0">&U;/pitch/tuning/chi_trim_GA-max</property>
 <!-- [Tu-144D Manual b5p1] -->
 <property value="-5.0">&U;/pitch/tuning/F4-min</property>
 <property value="5.0">&U;/pitch/tuning/F4-max</property>

 <!-- Inverse time constant of the pitch latch searching for the level flight pitch in H / FL hold -->
 <property value="0.01">&U;/pitch/tuning/rT_MS</property>


 <!-- [p. 5] -->
 <!-- ABSU-154
  Name            Value                  Unit                       Page
  F_deltapsi      (4 +- 0.6)/K_gamma_psi 1 / deg                    559
  K_gamma_psi      2 +- 0.3              deg_aileron / deg_deltapsi 559
  K_psiZK          3.6 +- 0.54           deg_aileron / deg_roll     560
  F_psiZK         20 +- 3                deg                        562
  K_gamma          2 +- 0.3              deg_aileron / deg_roll     555
  K_gamma_cur      2 +- 0.3              deg_aileron / deg_roll     [ABSU 1] 576
  K_gamma_cur_gnd  2.8 +- 0.4            del_aileron / deg_roll     [ABSU 1] 573
 -->
 <property value="-4.0">&U;/roll/tuning/F_deltapsi-min</property>
 <property value="4.0">&U;/roll/tuning/F_deltapsi-max</property>
 <property value="2.0">&U;/roll/tuning/K_gamma_psi</property>
 <property value="3.6">&U;/roll/tuning/K_psiZK</property>
 <property value="-20.0">&U;/roll/tuning/F_psiZK-min</property>
 <property value="20.0">&U;/roll/tuning/F_psiZK-max</property>
 <!-- SIC K_PU = T_PU = 30 deg * K_gamma. -->
 <property value="60.0">&U;/roll/tuning/K_PU</property>
 <property value="0.4">&U;/roll/tuning/T_PU</property>
 <property value="-60.0">&U;/roll/tuning/F_PU-min</property>
 <property value="60.0">&U;/roll/tuning/F_PU-max</property>
 <property value="2.0">&U;/roll/tuning/K_STU</property>
 <property value="2.0">&U;/roll/tuning/K_gamma</property>
 <property value="2.0">&U;/roll/tuning/K_gamma_cur</property>
 <property value="2.8">&U;/roll/tuning/K_gamma_cur_gnd</property>
 <!-- Made up intermediate clipping to prevent overcontrol: 3 deg. [Tu-144D Manual b5p1] -->
 <property value="-3.0">&U;/roll/tuning/F_interm-min</property>
 <property value="3.0">&U;/roll/tuning/F_interm-max</property>
 <!-- [Tu-144D Manual b5p1] -->
 <property value="-6.0">&U;/roll/tuning/F_delta_a-min</property>
 <property value="6.0">&U;/roll/tuning/F_delta_a-max</property>


 <!-- [Tu-144D Manual b5p1] -->
 <property value="-8.0">&U;/yaw/tuning/F_delta_r-min</property>
 <property value="8.0">&U;/yaw/tuning/F_delta_r-max</property>


 <!-- Пульт режимов ПР-2 -->
 <!-- 2 panels, only 1 modeled -->
 <property>&NPK;/panel/PR/button/manual-pitch</property>
 <property>&NPK;/panel/PR/button/pitch</property>
 <property>&NPK;/panel/PR/button/H</property>
 <property>&NPK;/panel/PR/button/pitch-STU</property>
 <!-- This one is a round, non-lit button on the last planes. -->
 <property>&NPK;/panel/PR/button/TOGA</property>
 <property>&NPK;/panel/PR/button/manual-roll</property>
 <property>&NPK;/panel/PR/button/roll</property>
 <property>&NPK;/panel/PR/button/course</property>
 <property>&NPK;/panel/PR/button/roll-STU</property>

 <!-- Кнопка быстрого отключения автопилота КО -->
 <property>&NPK;/panel/button/KO</property>

 <!-- Пульт ПП-6 -->
 <property>&NPK;/panel/PP/switch/disable</property>
 <property value="1">&NPK;/panel/PP/switch/pitch[0]</property>
 <property value="1">&NPK;/panel/PP/switch/pitch[1]</property>
 <property value="1">&NPK;/panel/PP/switch/pitch[2]</property>
 <property value="1">&NPK;/panel/PP/switch/pitch[3]</property>
 <property value="1">&NPK;/panel/PP/switch/roll[0]</property>
 <property value="1">&NPK;/panel/PP/switch/roll[1]</property>
 <property value="1">&NPK;/panel/PP/switch/roll[2]</property>
 <property value="1">&NPK;/panel/PP/switch/roll[3]</property>
 <property value="1">&NPK;/panel/PP/switch/yaw[0]</property>
 <property value="1">&NPK;/panel/PP/switch/yaw[1]</property>
 <property value="1">&NPK;/panel/PP/switch/yaw[2]</property>
 <property value="1">&NPK;/panel/PP/switch/yaw[3]</property>
 <property>&NPK;/panel/PP/button/test-lights</property>

 <!-- Пульт строевого управления ПСУ  -->
 <!-- Based on ПУ-46 [022.10.01 p. 2] ([ABSU 2 pdf p. 292]) -->
 <!-- Pitch is always fixated. -->
 <property>&NPK;/panel/PSU/pot/pitch-deg</property>
 <!-- max 155 deg, fixation on 0 and 90 deg -->
 <property>&NPK;/panel/PSU/pot/roll-deg</property>
 <property>&NPK;/panel/PSU/pot/course-deg</property>
 <property>&NPK;/panel/PSU/switch/turbulence</property>
 <property value="50.0">&NPK;/panel/PSU/pot/pitch/c1</property>

 <!-- XXX This switch must exist somewhere but where? -->
 <property value="1">&NPK;/panel/switch/approach-autointercept</property>




 <channel name="Status" execrate="4">

  <fcs_function name="&U;/status/on">
   <function>
    <product>
     <p>&ABSU;/status/on</p>
     <difference>
      <v>1.0</v>
      <p>&NPK;/panel/PP/switch/disable</p>
     </difference>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/status/pitch-channel[0]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[0]/P-ok</p>
     <p>&NPK;/panel/PP/switch/pitch[0]</p>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/status/pitch-channel[1]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[1]/P-ok</p>
     <p>&NPK;/panel/PP/switch/pitch[1]</p>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/status/pitch-channel[2]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[2]/P-ok</p>
     <p>&NPK;/panel/PP/switch/pitch[2]</p>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/status/pitch-channel[3]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[3]/P-ok</p>
     <p>&NPK;/panel/PP/switch/pitch[3]</p>
    </product>
   </function>
  </fcs_function>

  <summer name="&U;/status/npitch">
   <input>&U;/status/pitch-channel[0]</input>
   <input>&U;/status/pitch-channel[1]</input>
   <input>&U;/status/pitch-channel[2]</input>
   <input>&U;/status/pitch-channel[3]</input>
  </summer>

  <switch name="&U;/status/pitch">
   <default value="1"/>
   <test value="0">
    &U;/status/npitch EQ 0
   </test>
  </switch>

  <switch name="&U;/status/pitch-noreserve">
   <default value="0"/>
   <test value="&ABSU;/status/on">
    &U;/status/npitch LT 3
   </test>
  </switch>

  <switch name="&U;/status/pitch-fault">
   <default value="0"/>
   <test value="&ABSU;/status/on">
    &U;/status/npitch LT 2
   </test>
  </switch>

  <fcs_function name="&U;/status/roll-channel[0]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[0]/P-ok</p>
     <p>&NPK;/panel/PP/switch/roll[0]</p>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/status/roll-channel[1]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[1]/P-ok</p>
     <p>&NPK;/panel/PP/switch/roll[1]</p>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/status/roll-channel[2]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[2]/P-ok</p>
     <p>&NPK;/panel/PP/switch/roll[2]</p>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/status/roll-channel[3]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[3]/P-ok</p>
     <p>&NPK;/panel/PP/switch/roll[3]</p>
    </product>
   </function>
  </fcs_function>

  <summer name="&U;/status/nroll">
   <input>&U;/status/roll-channel[0]</input>
   <input>&U;/status/roll-channel[1]</input>
   <input>&U;/status/roll-channel[2]</input>
   <input>&U;/status/roll-channel[3]</input>
  </summer>

  <switch name="&U;/status/roll">
   <default value="1"/>
   <test value="0">
    &U;/status/nroll EQ 0
   </test>
  </switch>

  <switch name="&U;/status/roll-noreserve">
   <default value="0"/>
   <test value="&ABSU;/status/on">
    &U;/status/nroll LT 3
   </test>
  </switch>

  <switch name="&U;/status/roll-fault">
   <default value="0"/>
   <test value="&ABSU;/status/on">
    &U;/status/nroll LT 2
   </test>
  </switch>

  <fcs_function name="&U;/status/yaw-channel[0]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[0]/P-ok</p>
     <p>&NPK;/panel/PP/switch/yaw[0]</p>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/status/yaw-channel[1]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[1]/P-ok</p>
     <p>&NPK;/panel/PP/switch/yaw[1]</p>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/status/yaw-channel[2]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[2]/P-ok</p>
     <p>&NPK;/panel/PP/switch/yaw[2]</p>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/status/yaw-channel[3]">
   <function>
    <product>
     <p>&U;/status/on</p>
     <p>systems/hydr/hs[3]/P-ok</p>
     <p>&NPK;/panel/PP/switch/yaw[3]</p>
    </product>
   </function>
  </fcs_function>

  <summer name="&U;/status/nyaw">
   <input>&U;/status/yaw-channel[0]</input>
   <input>&U;/status/yaw-channel[1]</input>
   <input>&U;/status/yaw-channel[2]</input>
   <input>&U;/status/yaw-channel[3]</input>
  </summer>

  <switch name="&U;/status/yaw">
   <default value="1"/>
   <test value="0">
    &U;/status/nyaw EQ 0
   </test>
  </switch>

  <switch name="&U;/status/yaw-warning">
   <output>systems/comm/RI/sensor/ABSU/yaw-warning</output>
   <default value="0"/>
   <test logic="AND" value="&ABSU;/status/on">
    &U;/status/nyaw LT 4
    &NPK;/SVS/V/M GT 1.6
   </test>
  </switch>

  <switch name="&U;/status/yaw-noreserve">
   <default value="0"/>
   <test value="&ABSU;/status/on">
    &U;/status/nyaw LT 3
   </test>
  </switch>

  <switch name="&U;/status/yaw-fault">
   <default value="0"/>
   <test value="&ABSU;/status/on">
    &U;/status/nyaw LT 2
   </test>
  </switch>

  <switch name="&U;/status/warning">
   <output>systems/comm/RI/sensor/ABSU/warning</output>
   <default value="0"/>
   <!-- XXX -->
   <test logic="AND" value="0">
    &U;/status/mode/pitch EQ 0
    &U;/status/mode/roll EQ 0
   </test>
   <!-- END XXX -->
   <test logic="OR" value="1">
    &U;/status/pitch-noreserve NE 0
    &U;/status/roll-noreserve NE 0
    &U;/status/yaw-noreserve NE 0
   </test>
  </switch>

  <switch name="&U;/status/pitch-auto-goaround">
   <default value="0"/>
   <test logic="OR" value="0">
    &U;/status/mode/pitch NE 5
    &ABSU;/AT/status/hold NE 0
    &ABSU;/STU/status/VU-fault NE 0
    &ABSU;/STU/status/landing EQ 0
   </test>
   <test value="1">
    &ABSU;/AT/status/force-disengage-up NE 0
   </test>
  </switch>

  <switch name="&U;/status/mode/pitch">
   <output>systems/MSRP/sensor/ABSU/mode-pitch</output>
   <default value="&U;/status/mode/pitch"/>
   <!-- Manual -->
   <test logic="OR" value="0">
    &NPK;/panel/PR/button/manual-pitch NE 0
    &NPK;/panel/button/KO NE 0
    fcs/pitch/autopilot-autodisengage NE 0
    &U;/status/pitch-fault NE 0
    &ABSU;/status/on EQ 0
   </test>
   <test logic="AND" value="0">
    &U;/status/mode/pitch EQ 5
    &ABSU;/STU/status/pitch-director EQ 0
   </test>
   <test logic="AND" value="0">
    &U;/status/mode/pitch EQ 3
    &ABSU;/STU/status/VU-fault NE 0
   </test>
   <!-- Pitch -->
   <test value="1">
    &NPK;/panel/PR/button/pitch NE 0
   </test>
   <test logic="AND" value="1">
    &U;/status/mode/pitch NE 0
    &U;/pitch/theta_PU-engage NE 0
   </test>
   <test logic="AND" value="1">
    &U;/status/mode/pitch EQ 3
    &NPK;/SVS/V/Vind-km_h GT 400.0
    &NPK;/SVS/H/func/Habs-dot-m_s GT 5.0
   </test>
   <test logic="AND" value="1">
    &U;/status/mode/pitch EQ 3
    &ABSU;/AT/status/force-disengage NE 0
   </test>
   <!-- H -->
   <test value="2">
    &NPK;/panel/PR/button/H NE 0
   </test>
   <!-- Takeoff / go around -->
   <test logic="AND" value="3">
    &NPK;/panel/PR/button/TOGA NE 0
    &ABSU;/STU/status/VU-fault EQ 0
    &NPK;/SVS/V/Vind-km_h LT 400.0
   </test>
   <test logic="AND" value="3">
    &U;/status/pitch-auto-goaround NE 0
   </test>
   <!-- STU -->
   <test logic="AND" value="5">
    &NPK;/panel/PR/button/pitch-STU NE 0
    &U;/status/mode/pitch NE 0
    &ABSU;/STU/status/pitch-director NE 0
   </test>
   <test logic="AND" value="5">
    &U;/status/mode/pitch GT 0
    &U;/status/mode/pitch LT 3
    &ABSU;/STU/status/GS-intercept NE 0
    &NPK;/panel/switch/approach-autointercept NE 0
   </test>
  </switch>

  <switch name="&U;/status/mode/pitch-hold">
   <default value="0"/>
   <test value="1">
    &U;/status/mode/pitch EQ 1
   </test>
  </switch>

  <switch name="&U;/status/mode/pitch-H">
   <default value="0"/>
   <test value="1">
    &U;/status/mode/pitch EQ 2
   </test>
  </switch>

  <switch name="&U;/status/mode/pitch-TOGA">
   <default value="0"/>
   <test value="1">
    &U;/status/mode/pitch EQ 3
   </test>
  </switch>

  <switch name="&U;/status/mode/pitch-STU">
   <default value="0"/>
   <test value="1">
    &U;/status/mode/pitch EQ 5
   </test>
  </switch>

  <switch name="&U;/status/mode/func/pitch-warning">
   <default value="&U;/status/mode/func/pitch-warning"/>
   <test logic="OR" value="0">
    &NPK;/panel/PR/button/manual-pitch NE 0
    &NPK;/panel/button/KO NE 0
   </test>
   <test value="1">
    &U;/status/mode/pitch NE 0
   </test>
   <test value="2">
    &U;/status/mode/func/pitch-warning NE 0
    &U;/status/mode/pitch EQ 0
   </test>
  </switch>

  <switch name="&U;/status/mode/func/pitch-warning-acked-start-sec">
   <default value="simulation/sim-time-sec"/>
   <test value="&U;/status/mode/func/pitch-warning-acked-start-sec">
    &U;/status/mode/func/pitch-warning EQ 0
   </test>
  </switch>

  <summer name="&U;/status/mode/func/pitch-warning-acked-sec">
   <input>simulation/sim-time-sec</input>
   <input>-&U;/status/mode/func/pitch-warning-acked-start-sec</input>
  </summer>

  <switch name="&U;/status/pitch-disconnect-warning">
   <default value="0"/>
   <test value="&ABSU;/status/on">
    &U;/status/mode/func/pitch-warning EQ 2
   </test>
   <test logic="AND" value="&ABSU;/status/on">
    &U;/status/mode/func/pitch-warning EQ 0
    &U;/status/mode/func/pitch-warning-acked-sec LT 1.1
   </test>
  </switch>

  <switch name="&U;/status/mode/roll">
   <output>systems/MSRP/sensor/ABSU/mode-roll</output>
   <default value="&U;/status/mode/roll"/>
   <!-- Manual -->
   <test logic="OR" value="0">
    &NPK;/panel/PR/button/manual-roll NE 0
    &NPK;/panel/button/KO NE 0
    fcs/roll/autopilot-autodisengage NE 0
    &U;/status/roll-fault NE 0
    &ABSU;/status/on EQ 0
   </test>
   <test logic="AND" value="0">
    &U;/status/mode/roll EQ 4
    &ABSU;/STU/status/landing EQ 0
    &ABSU;/STU/status/route-roll EQ 0
   </test>
   <!-- Roll -->
   <test value="1">
    &NPK;/panel/PR/button/roll NE 0
   </test>
   <test logic="AND" value="1">
    &U;/status/mode/roll NE 0
    &U;/roll/gamma_PU NE 0.0
   </test>
   <test logic="AND" value="1">
    &U;/status/mode/pitch EQ 3
    &U;/status/mode/roll EQ 4
   </test>
   <test logic="AND" value="1">
    &U;/status/mode/roll EQ 4
    &ABSU;/STU/status/roll-ok EQ 0
   </test>
   <!-- Set course -->
   <test value="2">
    &NPK;/panel/PR/button/course NE 0
   </test>
   <!-- STU -->
   <test logic="AND" value="4">
    &NPK;/panel/PR/button/roll-STU NE 0
    &U;/status/mode/roll NE 0
    &ABSU;/STU/status/roll-director NE 0
   </test>
   <test logic="AND" value="4">
    &U;/status/mode/roll GT 0
    &U;/status/mode/roll LT 3
    &ABSU;/STU/status/loc-intercept NE 0
    &NPK;/panel/switch/approach-autointercept NE 0
   </test>
  </switch>

  <switch name="&U;/status/mode/roll-hold">
   <default value="0"/>
   <test value="1">
    &U;/status/mode/roll EQ 1
   </test>
  </switch>

  <switch name="&U;/status/mode/roll-course">
   <default value="0"/>
   <test value="1">
    &U;/status/mode/roll EQ 2
   </test>
  </switch>

  <switch name="&U;/status/mode/roll-STU">
   <default value="0"/>
   <test value="1">
    &U;/status/mode/roll EQ 4
   </test>
  </switch>

  <switch name="&U;/status/mode/func/roll-warning">
   <default value="&U;/status/mode/func/roll-warning"/>
   <test logic="OR" value="0">
    &NPK;/panel/PR/button/manual-roll NE 0
    &NPK;/panel/button/KO NE 0
   </test>
   <test value="1">
    &U;/status/mode/roll NE 0
   </test>
   <test value="2">
    &U;/status/mode/func/roll-warning NE 0
    &U;/status/mode/roll EQ 0
   </test>
  </switch>

  <switch name="&U;/status/mode/func/roll-warning-acked-start-sec">
   <default value="simulation/sim-time-sec"/>
   <test value="&U;/status/mode/func/roll-warning-acked-start-sec">
    &U;/status/mode/func/roll-warning EQ 0
   </test>
  </switch>

  <summer name="&U;/status/mode/func/roll-warning-acked-sec">
   <input>simulation/sim-time-sec</input>
   <input>-&U;/status/mode/func/roll-warning-acked-start-sec</input>
  </summer>

  <switch name="&U;/status/roll-disconnect-warning">
   <default value="0"/>
   <test value="&ABSU;/status/on">
    &U;/status/mode/func/roll-warning EQ 2
   </test>
   <test logic="AND" value="&ABSU;/status/on">
    &U;/status/mode/func/roll-warning EQ 0
    &U;/status/mode/func/roll-warning-acked-sec LT 1.1
   </test>
  </switch>

 </channel>


 <channel name="Lights" execrate="4">

  <switch name="&NPK;/panel/PP/light/pitch-fault[0]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/pitch-channel[0] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PP/light/pitch-fault[1]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/pitch-channel[1] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PP/light/pitch-fault[2]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/pitch-channel[2] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PP/light/pitch-fault[3]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/pitch-channel[3] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PP/light/roll-fault[0]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/roll-channel[0] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PP/light/roll-fault[1]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/roll-channel[1] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PP/light/roll-fault[2]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/roll-channel[2] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PP/light/roll-fault[3]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/roll-channel[3] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PP/light/yaw-fault[0]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/yaw-channel[0] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PP/light/yaw-fault[1]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/yaw-channel[1] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PP/light/yaw-fault[2]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/yaw-channel[2] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PP/light/yaw-fault[3]">
   <default value="0"/>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/yaw-channel[3] EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

 </channel>


 <channel name="PU">

  <fcs_function name="&U;/pitch/theta_PU">
   <function>
    <table>
     <independentVar lookup="row">&NPK;/panel/PSU/pot/pitch-deg</independentVar>
     <tableData>
	-155.0	-1.0
	-2.0	-0.0
	2.0	0.0
	155.0	1.0
     </tableData>
    </table>
   </function>
  </fcs_function>

  <fcs_function name="&U;/roll/gamma_PU">
   <function>
    <table>
     <independentVar lookup="row">&NPK;/panel/PSU/pot/roll-deg</independentVar>
     <tableData>
	-155.0	-1.0
	-2.0	-0.0
	2.0	0.0
	155.0	1.0
     </tableData>
    </table>
   </function>
  </fcs_function>

 </channel>




 <channel name="Pitch">

  <!-- [p. 34] -->

  <switch name="&U;/pitch/A-F2-switched">
   <default value="0.0"/>
   <test logic="AND" value="&U;/pitch/deltaH_star">
    &U;/status/mode/pitch-H NE 0
    &U;/pitch/theta_PU-engage EQ 0
   </test>
   <clipto>
    <min>&U;/pitch/tuning/F2-min</min>
    <max>&U;/pitch/tuning/F2-max</max>
   </clipto>
  </switch>

  <fcs_function name="&U;/pitch/func/theta_0_c1-inp">
   <function>
    <sum>
     <p>&NPK;/IS/MGV/theta-deg</p>
     <!-- SIC uncompensated theta_ref causes diving with extended canard -->
     <product>
      <p>&U;/pitch/theta_ref-T</p>
      <p>&U;/pitch/tuning/rK_theta</p>
     </product>
    </sum>
   </function>
   <clipto>
    <min>&U;/pitch/tuning/F_theta-min</min>
    <max>&U;/pitch/tuning/F_theta-max</max>
   </clipto>
  </fcs_function>

  <switch name="&U;/pitch/func/theta_0_c1">
   <default value="10.0"/>
   <!-- Pitch hold: just latch; unlatch if pitch wheel is turned or pitch button is pressed -->
   <test logic="AND" value="0.0">
    &U;/pitch/theta_PU-engage EQ 0
    &NPK;/panel/PR/button/pitch EQ 0
    &U;/status/mode/pitch-hold NE 0
   </test>
   <!--
    Alt or FL hold: slowly drift towards current pitch
    to converge at the level-flight pitch
    -->
   <test value="&U;/pitch/tuning/rT_MS">
    &U;/status/mode/pitch-H NE 0
   </test>
   <test logic="AND" value="&U;/pitch/tuning/rT_MS">
    &ABSU;/STU/status/route-pitch NE 0
    &U;/status/mode/pitch-STU NE 0
   </test>
  </switch>

  <lag_filter name="&U;/pitch/theta_0">
   <input>&U;/pitch/func/theta_0_c1-inp</input>
   <c1>&U;/pitch/func/theta_0_c1</c1>
  </lag_filter>

  <fcs_function name="&U;/pitch/deltatheta-K">
   <function>
    <product>
     <difference>
      <p>&NPK;/IS/MGV/theta-deg</p>
      <p>&U;/pitch/theta_0</p>
     </difference>
     <p>&U;/pitch/tuning/K_theta</p>
    </product>
   </function>
  </fcs_function>

  <switch name="&U;/pitch/K_gamma">
   <default value="&U;/pitch/tuning/K_gamma"/>
   <test logic="AND" value="&U;/pitch/tuning/K_gamma_add">
    gear/main-up EQ 0
   </test>
  </switch>

  <fcs_function name="&U;/pitch/gamma-abs-K">
   <function>
    <product>
     <abs>
      <p>&NPK;/IS/MGV/gamma-deg</p>
     </abs>
     <p>&U;/pitch/K_gamma</p>
    </product>
   </function>
  </fcs_function>

  <switch name="&U;/pitch/F_PU-min">
   <default value="&U;/pitch/tuning/F_PU-min"/>
   <test value="0.0">
    &NPK;/IS/MGV/theta-deg LT &U;/pitch/tuning/F_theta-min
   </test>
  </switch>

  <switch name="&U;/pitch/F_PU-max">
   <default value="&U;/pitch/tuning/F_PU-max"/>
   <test value="0.0">
    &NPK;/IS/MGV/theta-deg GT &U;/pitch/tuning/F_theta-max
   </test>
  </switch>

  <pure_gain name="&U;/pitch/theta_PU-K-F">
   <input>&U;/pitch/theta_PU</input>
   <gain>&U;/pitch/tuning/K_PU</gain>
   <clipto>
    <min>&U;/pitch/F_PU-min</min>
    <max>&U;/pitch/F_PU-max</max>
   </clipto>
  </pure_gain>

  <switch name="&U;/pitch/theta_PU-engage">
   <default value="0"/>
   <test value="1">
    &U;/pitch/theta_PU NE 0.0
   </test>
  </switch>

  <switch name="&U;/pitch/theta_ref">
   <default value="0.0"/>
   <test value="&U;/pitch/tuning/theta_ref-full">
    <!-- = 20 s / 25 s -->
    fcs/canard/pos-norm GT 0.8
   </test>
   <test value="&U;/pitch/tuning/theta_ref">
    <!-- = 4 s / 25 s-->
    fcs/canard/pos-norm GT 0.16
   </test>
  </switch>

  <lead_lag_filter name="&U;/pitch/theta_ref-T">
   <input>&U;/pitch/theta_ref</input>
   <c1>0.0</c1>
   <c2>1.0</c2>
   <c3>&U;/pitch/tuning/T_ref</c3>
   <c4>1.0</c4>
  </lead_lag_filter>

  <switch name="&U;/pitch/F3-min">
   <default value="&U;/pitch/tuning/F3-min"/>
   <test value="&U;/pitch/tuning/F3-landing-min">
    fcs/canard/pos-norm GT 0.01
   </test>
  </switch>

  <switch name="&U;/pitch/F3-max">
   <default value="&U;/pitch/tuning/F3-max"/>
   <test value="&U;/pitch/tuning/F3-landing-max">
    fcs/canard/pos-norm GT 0.01
   </test>
  </switch>

  <!-- sum1 without alt error, shared with FL hold (see VE) -->
  <summer name="&U;/pitch/sum1-noA">
   <input>&U;/pitch/deltatheta-K</input>
   <!-- Roll compensation, in any auto mode -->
   <input>-&U;/pitch/gamma-abs-K</input>
   <!-- Flaps Cm compensation -->
   <input>&U;/pitch/theta_ref-T</input>
   <!-- Pitch pot, in any auto mode -->
   <input>-&U;/pitch/theta_PU-K-F</input>
  </summer>

  <summer name="&U;/pitch/sum1-F3">
   <input>&U;/pitch/sum1-noA</input>
   <!-- H hold alt error -->
   <input>&U;/pitch/A-F2-switched</input>
   <clipto>
    <min>&U;/pitch/F3-min</min>
    <max>&U;/pitch/F3-max</max>
   </clipto>
  </summer>

  <switch name="&U;/pitch/F_STU-min">
   <default value="&U;/pitch/tuning/F_STU-min"/>
   <test value="&U;/pitch/tuning/F_STU_gnd-min">
    &ABSU;/sensor/RV/Hagl-m LE 250.0
   </test>
  </switch>

  <switch name="&U;/pitch/F_STU-max">
   <default value="&U;/pitch/tuning/F_STU-max"/>
   <test value="&U;/pitch/tuning/F_STU_gnd-max">
    &ABSU;/sensor/RV/Hagl-m LE 250.0
   </test>
  </switch>

  <pure_gain name="&U;/pitch/theta_STU-K-F">
   <input>&U;/pitch/theta_STU</input>
   <gain>&U;/pitch/tuning/K_STU</gain>
   <clipto>
    <min>&U;/pitch/F_STU-min</min>
    <max>&U;/pitch/F_STU-max</max>
   </clipto>
  </pure_gain>

  <pure_gain name="&U;/pitch/theta_VU-K">
   <input>&U;/pitch/theta_VU</input>
   <gain>&U;/pitch/tuning/K_VU</gain>
  </pure_gain>

  <switch name="&U;/pitch/delta">
   <default value="0.0"/>
   <test value="&U;/pitch/theta_VU-K">
    &U;/status/mode/pitch-TOGA NE 0
   </test>
   <test value="&U;/pitch/theta_STU-K-F">
    &U;/status/mode/pitch-STU NE 0
   </test>
   <test logic="OR" value="&U;/pitch/sum1-F3">
    &U;/status/mode/pitch-H NE 0
    &U;/status/mode/pitch-hold NE 0
   </test>
  </switch>

  <switch name="&U;/pitch/chi_trim-min">
   <default value="&U;/pitch/tuning/chi_trim-min"/>
   <test value="&U;/pitch/tuning/chi_trim_GA-min">
    &U;/status/mode/pitch-TOGA NE 0
   </test>
  </switch>

  <switch name="&U;/pitch/chi_trim-max">
   <default value="&U;/pitch/tuning/chi_trim-max"/>
   <test value="&U;/pitch/tuning/chi_trim_GA-max">
    &U;/status/mode/pitch-TOGA NE 0
   </test>
  </switch>

  <switch name="&U;/pitch/autotrim-command">
   <default value="0"/>
   <test value="-&U;/status/pitch">
    &U;/pitch/delta LE &U;/pitch/chi_trim-min
   </test>
   <test value="&U;/status/pitch">
    &U;/pitch/delta GE &U;/pitch/chi_trim-max
   </test>
  </switch>

  <summer name="&U;/pitch/sum2">
   <input>&U;/pitch/delta</input>
   <input>&U;/pitch/delta_e_SUU-deg</input>
   <clipto>
    <min>&U;/pitch/tuning/F4-min</min>
    <max>&U;/pitch/tuning/F4-max</max>
   </clipto>
  </summer>

  <pure_gain name="&U;/pitch/delta_e-deg">
   <input>&U;/pitch/sum2</input>
   <gain>&U;/status/pitch</gain>
  </pure_gain>

  <!-- РА-57Б3 + МПН-10 -->
  <actuator name="&U;/pitch/output-deg">
   <input>&U;/pitch/delta_e-deg</input>
   <!-- = 5 * (80 / 25) -->
   <rate_limit>16.0</rate_limit>
  </actuator>

 </channel>


 <channel name="Roll">
  <!-- [p. 5] -->

  <switch name="&U;/roll/psi_0">
   <default value="&NPK;/IS/TKS/psi-deg"/>
   <test logic="AND" value="&U;/roll/psi_0">
    &U;/status/mode/roll-hold NE 0
    <!-- SIC Most likely measured in 8 sec. -->
    &U;/roll/timer/deltapsi-sec GT 8.0
   </test>
  </switch>

  <summer name="&U;/roll/deltapsi-deg">
   <input>&U;/roll/psi_0</input>
   <input>-&NPK;/IS/TKS/psi-deg</input>
   <clipto type="cyclic">
    <min>-180.0</min>
    <max>180.0</max>
   </clipto>
  </summer>

  <switch name="&U;/roll/timer/deltapsi_start-sec">
   <default value="simulation/sim-time-sec"/>
   <test value="&U;/roll/timer/deltapsi_start-sec">
    &U;/roll/gamma_PU EQ 0.0
   </test>
  </switch>

  <summer name="&U;/roll/timer/deltapsi-sec">
   <input>simulation/sim-time-sec</input>
   <input>-&U;/roll/timer/deltapsi_start-sec</input>
  </summer>

  <switch name="&U;/roll/deltapsi-F-switched">
   <default value="&U;/roll/deltapsi-deg"/>
   <test value="0.0">
    &U;/roll/timer/deltapsi-sec LT 8.0
   </test>
   <clipto>
    <min>&U;/roll/tuning/F_deltapsi-min</min>
    <max>&U;/roll/tuning/F_deltapsi-max</max>
   </clipto>
  </switch>

  <pure_gain name="&U;/roll/deltapsi-F-K-switched">
   <input>&U;/roll/deltapsi-F-switched</input>
   <gain>&U;/roll/tuning/K_gamma_psi</gain>
  </pure_gain>

  <pure_gain name="&U;/roll/deltapsi_ZK-K">
   <input>&NPK;/instr/PNP/deltapsi_ZPU-deg</input>
   <gain>&U;/roll/tuning/K_psiZK</gain>
  </pure_gain>

  <!-- XXX I made this up, because there is no ZK hold on Tu-144, only ZPU! -->

  <!-- Moved from STU [ABSU 1 p. 18]. -->
  <lead_lag_filter name="&U;/roll/beta-Tbeta">
   <output>&ABSU;/STU/beta-Tbeta</output>
   <input>&NPK;/DISS/beta-deg</input>
   <c1>0.0</c1>
   <c2>1.0</c2>
   <c3>1.0</c3>
   <c4>1.0</c4>
  </lead_lag_filter>

  <summer name="&U;/roll/deltapsi_ZPU-F">
   <input>&U;/roll/deltapsi_ZK-K</input>
   <input>-&U;/roll/beta-Tbeta</input>
   <clipto>
    <min>&U;/roll/tuning/F_psiZK-min</min>
    <max>&U;/roll/tuning/F_psiZK-max</max>
   </clipto>
  </summer>

  <!-- END XXX -->

  <lead_lag_filter name="&U;/roll/gamma_PU-KT-F">
   <input>&U;/roll/gamma_PU</input>
   <c1>0.0</c1>
   <c2>&U;/roll/tuning/K_PU</c2>
   <c3>&U;/roll/tuning/T_PU</c3>
   <c4>1.0</c4>
   <clipto>
    <min>&U;/roll/tuning/F_PU-min</min>
    <max>&U;/roll/tuning/F_PU-max</max>
   </clipto>
  </lead_lag_filter>

  <switch name="&U;/roll/gamma_set">
   <default value="0.0"/>
   <test value="&U;/roll/gamma_PU-KT-F">
    &U;/roll/gamma_PU NE 0.0
   </test>
   <test value="&U;/roll/deltapsi_ZPU-F">
    &U;/status/mode/roll-course NE 0
   </test>
   <test value="&U;/roll/deltapsi-F-K-switched">
    &U;/status/mode/roll-hold NE 0
   </test>
  </switch>

  <pure_gain name="&U;/roll/gamma-K">
   <input>&NPK;/IS/MGV/gamma-deg</input>
   <gain>&U;/roll/tuning/K_gamma</gain>
  </pure_gain>

  <switch name="&U;/roll/K_gamma_cur">
   <default value="&U;/roll/tuning/K_gamma_cur"/>
   <test value="&U;/roll/tuning/K_gamma_cur_gnd">
    &ABSU;/sensor/RV/Hagl-m LE 250.0
   </test>
  </switch>

  <pure_gain name="&U;/roll/gamma-K2">
   <input>&NPK;/IS/MGV/gamma-deg</input>
   <gain>&U;/roll/K_gamma_cur</gain>
  </pure_gain>

  <summer name="&U;/roll/deltagamma_hold">
   <input>&U;/roll/gamma_set</input>
   <input>-&U;/roll/gamma-K</input>
  </summer>

  <pure_gain name="&U;/roll/gamma_STU-K">
   <input>&U;/roll/gamma_STU</input>
   <gain>&U;/roll/tuning/K_STU</gain>
  </pure_gain>

  <summer name="&U;/roll/deltagamma_STU">
   <input>&U;/roll/gamma_STU-K</input>
   <input>-&U;/roll/gamma-K2</input>
  </summer>

  <switch name="&U;/roll/delta">
   <default value="0.0"/>
   <test logic="OR"  value="&U;/roll/deltagamma_hold">
    &U;/status/mode/roll-hold NE 0
    &U;/status/mode/roll-course NE 0
   </test>
   <test value="&U;/roll/deltagamma_STU">
    &U;/status/mode/roll-STU NE 0
   </test>
   <clipto>
    <min>&U;/roll/tuning/F_interm-min</min>
    <max>&U;/roll/tuning/F_interm-max</max>
   </clipto>
  </switch>

  <summer name="&U;/roll/sum1">
   <input>&U;/roll/delta</input>
   <input>&U;/roll/delta_a_SUU-deg</input>
   <clipto>
    <min>&U;/roll/tuning/F_delta_a-min</min>
    <max>&U;/roll/tuning/F_delta_a-max</max>
   </clipto>
  </summer>

  <pure_gain name="&U;/roll/delta_a-deg">
   <input>&U;/roll/sum1</input>
   <gain>&U;/status/roll</gain>
  </pure_gain>

  <!-- РА-57Б3 + МПН-10 -->
  <actuator name="&U;/roll/output-deg">
   <input>&U;/roll/delta_a-deg</input>
   <!-- = 6 * (80 / 25) -->
   <rate_limit>19.2</rate_limit>
  </actuator>

 </channel>


 <channel name="Yaw">

  <pure_gain name="&U;/yaw/delta_r-deg">
   <input>&U;/yaw/delta_r_SUU-deg</input>
   <gain>&U;/status/yaw</gain>
   <clipto>
    <min>&U;/yaw/tuning/F_delta_r-min</min>
    <max>&U;/yaw/tuning/F_delta_r-max</max>
   </clipto>
  </pure_gain>

  <!-- РА-57Б3 + МПН-10 -->
  <actuator name="&U;/yaw/output-deg">
   <input>&U;/yaw/delta_r-deg</input>
   <!-- = 8 * (80 / 25) -->
   <rate_limit>25.6</rate_limit>
  </actuator>

 </channel>


 <channel name="Gauges (critical)">

  <switch name="&NPK;/instr/PNP/gauge/psi_set-deg">
   <default value="&NPK;/panel/PSU/pot/course-deg"/>
   <test value="&NPK;/instr/PNP/gauge/psi_set-deg">
    &ABSU;/status/AC36-ok EQ 0
   </test>
  </switch>

  <summer name="&NPK;/instr/PNP/deltapsi_ZPU-deg">
   <input>&NPK;/instr/PNP/gauge/psi_set-deg</input>
   <input>-&NPK;/instr/PNP/gauge/psi-deg</input>
   <clipto type="cyclic">
    <min>-180.0</min>
    <max>180.0</max>
   </clipto>
  </summer>

 </channel>


 <channel name="PR lights" execrate="4">

  <switch name="&NPK;/panel/PR/light/manual-pitch">
   <default value="0"/>
   <test logic="AND" value="&NPK;/status/func/strobe">
    &U;/status/mode/pitch EQ 0
    &U;/status/pitch-disconnect-warning NE 0
   </test>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/mode/pitch EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PR/light/pitch">
   <default value="0"/>
   <test logic="OR" value="1">
    &U;/status/mode/pitch-hold NE 0
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PR/light/H">
   <default value="0"/>
   <test logic="OR" value="1">
    &U;/status/mode/pitch-H NE 0
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PR/light/pitch-STU">
   <default value="0"/>
   <test logic="OR" value="1">
    &U;/status/mode/pitch-STU NE 0
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PR/light/TOGA">
   <default value="0"/>
   <test logic="OR" value="1">
    &U;/status/mode/pitch-TOGA NE 0
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PR/light/manual-roll">
   <default value="0"/>
   <test logic="AND" value="&NPK;/status/func/strobe">
    &U;/status/mode/roll EQ 0
    &U;/status/roll-disconnect-warning NE 0
   </test>
   <test logic="OR" value="&ABSU;/status/on">
    &U;/status/mode/roll EQ 0
    &NPK;/panel/PP/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PR/light/roll">
   <default value="0"/>
   <test logic="OR" value="1">
    &U;/status/mode/roll-hold NE 0
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PR/light/course">
   <default value="0"/>
   <test logic="OR" value="1">
    &U;/status/mode/roll-course NE 0
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/PR/light/roll-STU">
   <default value="0"/>
   <test logic="OR" value="1">
    &U;/status/mode/roll-STU NE 0
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

 </channel>


 <channel name="Glare shield and panel lights" execrate="4">

  <switch name="&NPK;/panel/light/pitch">
   <default value="0"/>
   <test logic="OR" value="1">
    &U;/status/mode/pitch NE 0
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/light/roll">
   <default value="0"/>
   <test logic="OR" value="1">
    &U;/status/mode/roll NE 0
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/light/fault">
   <default value="0"/>
   <test logic="OR" value="1">
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/light/pitch-noreserve">
   <default value="&U;/status/pitch-noreserve"/>
   <test logic="OR" value="1">
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/light/pitch-fault">
   <default value="&U;/status/pitch-fault"/>
   <test logic="OR" value="1">
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/light/roll-noreserve">
   <default value="&U;/status/roll-noreserve"/>
   <test logic="OR" value="1">
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/light/roll-fault">
   <default value="&U;/status/roll-fault"/>
   <test logic="OR" value="1">
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/light/yaw-noreserve">
   <default value="&U;/status/yaw-noreserve"/>
   <test logic="OR" value="1">
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/light/yaw-fault">
   <default value="&U;/status/yaw-fault"/>
   <test logic="OR" value="1">
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/light/M1.6">
   <default value="&U;/status/yaw-warning"/>
   <test logic="OR" value="1">
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

  <switch name="&NPK;/panel/light/false-trim">
   <default value="0"/>
   <test value="&ABSU;/status/on">
    fcs/pitch/autotrim-inop NE 0
   </test>
   <test value="1">
    &ABSU;/status/test-lights NE 0
   </test>
  </switch>

 </channel>


</system>
